Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418939 - docker pull with private registry (Artifactory) fails to request bearer token
Summary: docker pull with private registry (Artifactory) fails to request bearer token
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On: 1413987
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 08:38 UTC by Antonio Murdaca
Modified: 2020-05-14 15:36 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Pulling images from additional registries like Artifactory was not requesting authorization properly. We have fixed this issue in this release.
Clone Of: 1413987
Environment:
Last Closed: 2017-05-26 14:32:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1325 0 normal SHIPPED_LIVE docker bug fix and enhancement update 2017-05-26 18:14:24 UTC

Comment 1 Antonio Murdaca 2017-02-03 08:39:16 UTC
Fixed in docker-1.12.6

Comment 3 James Hogarth 2017-02-27 15:49:59 UTC
Any timeline on when this might be built and pushed to the extras channel?

We have a preference for artifactory and this is a blocker for some of our usage.

Comment 4 Daniel Walsh 2017-02-27 16:56:57 UTC
This should be in our next release, which is supposed to be released shortly.

Fixed in docker-1.12.6-11.el7

Comment 8 Luwen Su 2017-05-16 08:22:18 UTC
I'm not sure if this is enough for verifying, if anything is wrong, please correct me.

Per https://bugzilla.redhat.com/show_bug.cgi?id=1403908 comment#3
and https://github.com/containers/image/pull/191/files

Just make sure the pull from individual repository is worked fine. 

docker-1.12.6-26.git62520c0.el7.x86_64

# docker pull docker.io/timesu/test-push1
Using default tag: latest
Trying to pull repository docker.io/timesu/test-push1 ... 
latest: Pulling from docker.io/timesu/test-push1
Digest: sha256:501b4aeda663174f1b6243c5acec2fa403884dba9ae4bff99a3f3e9190582503

Comment 10 errata-xmlrpc 2017-05-26 14:32:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1325


Note You need to log in before you can comment on or make changes to this bug.